#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,q;
    cin>>n>>q;
    int a[n],b[q];
    for(int i=0;i<n;i++)cin>>a[i];
    for(int i=0;i<q;i++)cin>>b[i];
    sort(a,a+n);
    sort(b,b+q);
    int j=0;
    for(int i=0;i<q;i++)
    {
        for(;j<n;j++)
        {
            if(b[i]==a[j])
                break;
        }
        if(j==n/2) cout<<0<<"\n";
        else if(j<n-j) cout<<n-2*j-1<<"\n";
        else cout<<2*j-n<<"\n";
    }
}